For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetAccountInfo
        • POSTSetAccountInfo
        • POSTSetChildAccountInfo
        • POSTGetCurrencyRate
        • POSTGetResourcePrice
        • POSTGetSubscriptionPrice
        • POSTGetChildrenAccounts
        • POSTGetMoneyAmountToCharge
        • POSTChangeAccountPlan
        • POSTGetAccountPlans
        • POSTGetAvailablePlans
        • POSTGetAccountDocuments
        • POSTGetAccountVerifications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAccounts

GetChildrenAccounts

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetChildrenAccounts
POST
/platform_api/GetChildrenAccounts
$curl -X POST https://api.voximplant.com/platform_api/GetChildrenAccounts \
> -H "Authorization: Bearer <token>"
200Children accounts
1{
2 "result": [
3 {
4 "account_id": 414877,
5 "account_name": "myparent-child-1",
6 "account_email": "child-1@myparent.com",
7 "api_key": "12345678-1234-1234-1234-aaaaaabbbbbb",
8 "created": "2016-04-08 11:01:30",
9 "language_code": "ru",
10 "location": "Etc/GMT",
11 "min_balance_to_notify": 68.5598,
12 "account_notifications": false,
13 "tariff_changing_notifications": false,
14 "news_notifications": false,
15 "active": true,
16 "frozen": false,
17 "balance": 0.4,
18 "credit_limit": 0,
19 "currency": "RUR",
20 "support_robokassa": false,
21 "support_bank_card": true,
22 "support_invoice": true,
23 "send_js_error": false,
24 "a2p_sms_enabled": false,
25 "fixed_balance": 0.4,
26 "money_on_hold": 0,
27 "allow_invoice": false,
28 "is_bank_card_auto_charge_prohibited": false,
29 "taxpayer_type": "default",
30 "custom_pricing": false,
31 "live_balance": 0.4
32 },
33 {
34 "account_id": 464478,
35 "account_name": "myparent-child-2",
36 "account_email": "child-2@myparent.com",
37 "api_key": "123aaa78-1234-1234-1234-aaa345567bbb",
38 "created": "2016-04-11 06:09:45",
39 "language_code": "ru",
40 "location": "Etc/GMT",
41 "min_balance_to_notify": 68.5598,
42 "account_notifications": false,
43 "tariff_changing_notifications": false,
44 "news_notifications": false,
45 "active": true,
46 "frozen": false,
47 "balance": 0,
48 "credit_limit": 0,
49 "currency": "RUR",
50 "support_robokassa": false,
51 "support_bank_card": true,
52 "support_invoice": true,
53 "send_js_error": false,
54 "a2p_sms_enabled": false,
55 "fixed_balance": 0,
56 "money_on_hold": 0,
57 "allow_invoice": false,
58 "is_bank_card_auto_charge_prohibited": false,
59 "taxpayer_type": "default",
60 "custom_pricing": false,
61 "live_balance": 0
62 }
63 ],
64 "total_count": 530350,
65 "count": 2
66}

Gets the info about all children accounts.

Allowed roles: Owner.

Example request: Get the specified children.

Was this page helpful?
Previous

GetSubscriptionPrice

Next

GetMoneyAmountToCharge

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

child_account_idlist of integersOptional

The account ID list separated by semicolons (;). You need to specify at least one of the following parameters: child_account_id, child_account_name, child_account_email

child_account_namestringOptional

The child account name to filter. You need to specify at least one of the following parameters: child_account_id, child_account_name, child_account_email

child_account_emailstringOptional

The child account email to filter. You need to specify at least one of the following parameters: child_account_id, child_account_name, child_account_email

activebooleanOptional
Whether the filter is active
frozenbooleanOptional
Whether the filter is frozen
ignore_invalid_accountsbooleanOptionalDefaults to false

Whether to ignore the invalid ‘child_account_id’ items

brief_outputbooleanOptionalDefaults to false

Whether to output the account_id only

medium_outputbooleanOptionalDefaults to false

Whether to output the account_id, account_name, account_email only

countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

order_bystringOptionalDefaults to child_account_name

The following values are available: ‘child_account_id’, ‘child_account_name’ and ‘child_account_email’

return_live_balancebooleanOptionalDefaults to true
Whether to get the user live balance

Response

Successful response
resultlist of objects
total_countinteger
The total found user count
countinteger
The returned user count

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.